Skip to main content
GET
cURL
Retrieves an array of invoice objects.

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Query Parameters

customer_id
string | null

A filter for invoices for a specific customer

Minimum string length: 1
payment_status
enum<string>[]

A filter for invoices with a specific payment status

  • unpaid - unpaid
  • paid - paid
Available options:
unpaid,
paid

Response

200 - application/json
invoice_id
string
required
invoice_number
string
required
read-only
cost_due
number<double>
required
deprecated
Required range: 0 <= x < 10000000000
amount
number<double>
required
read-only
Required range: -10000000000 < x < 10000000000
currency
object
required
issue_date
string<date-time>
required
read-only
payment_status
enum<string>
required
read-only
  • draft - draft
  • voided - voided
  • paid - paid
  • unpaid - unpaid
Available options:
draft,
voided,
paid,
unpaid
external_payment_obj_id
string | null
required
read-only
external_payment_obj_type
enum<string> | null
required
  • stripe - Stripe
  • braintree - Braintree
Available options:
stripe,
braintree,
null
line_items
object[]
required
customer
object
required
due_date
string<date-time> | null
required
read-only
start_date
string<date>
required
read-only
end_date
string<date>
required
read-only
seller
object
required
invoice_pdf
string<uri> | null
required
read-only
external_payment_obj_status
string | null